gnustep-examples(1)

NAME
gnustep-examples - various example GNUstep tools/applications

SYNOPSIS
[ example program ]

DESCRIPTION
GNUstep Examples are a compilation of applications and tools to demonstrate and test the abilities of certain GNUstep classes. Some of them are useful enough on their own; others are included purely for testing purposes.

Here is a short description of the programs in alphabetical order:

Calculator
    Fully functional, but very simple calculator which supports only basic arithmetic functions. EdenMath(1) and Stepulator(1) are much more user-friendly and powerful.

CurrencyConverter
    Simple currency converter.

GSTest
    Tests for various GNUstep GUI classes, combined in one application.

Ink A text editor that supports both plain text and RTF/RTFD. Usually the “standard” test application, especially for the NSDocument class.

md5Digest
    This tool creates an md5 digest using the example filter based on what type of file is being accessed.

NSBrowserTest
    Test application for the NSBrowser class.

NSImageTest
    Test application for the NSImage class.

NSPanelTest
    Test application for the NSPanel class.

NSScreenTest
    Test application for the NSScreen class. Usually used to check the display's capabilities.

OPTIONS
All programs do not accept any options except the standard GNUstep ones. md5Digest reads files from the standard input.

SEE ALSO
GNUstep(7).

AUTHORS
The GNUstep Examples were written by various GNUstep developers.

This manual page was added by Yavor Doganov <yavor@gnu.org>.

COPYRIGHT
Copyright © 1997-2010 Free Software Foundation, Inc.

Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.